aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorVijay Marcel <vijaymarcel@outlook.com>2024-09-20 06:51:42 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-20 07:05:41 +0700
commit1bbae6e0d2159ff4463c15b8ead5bfeb06194c2b (patch)
treed069d9f6ddec67383cf13dbf48cb918b5a1ca0d2 /system
parent52097493660ea9d382c27726e9773d00f293708a (diff)
system/tqemu: Added (QEMU frontend).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/tqemu/README26
-rw-r--r--system/tqemu/doinst.sh16
-rw-r--r--system/tqemu/slack-desc19
-rw-r--r--system/tqemu/tqemu.SlackBuild78
-rw-r--r--system/tqemu/tqemu.info10
5 files changed, 149 insertions, 0 deletions
diff --git a/system/tqemu/README b/system/tqemu/README
new file mode 100644
index 0000000000000..f0a6de90f77bf
--- /dev/null
+++ b/system/tqemu/README
@@ -0,0 +1,26 @@
+Tqemu is simple Qemu frontend written in Tcl/Tk.
+It Does not need libvirt.
+
+Its features
+
+User defined QEMU executable
+User defined guest CPU emulation
+User defined guest RAM
+User defined graphics card emulation
+User defined sound card emulation
+User defined network device emulation
+Load and create image (qcow2 format)
+User defined image size
+User defined extra options
+Load multiple images (rearrange with drag n' drop)
+Load states from qcow2 images
+Boot from iso file or from host cd-rom device
+Shared directory between host and virtual machine
+User defined output display (sdl, gtk, vnc, etc)
+Toggle KVM, HAX, HVF support
+Supports many audio channels (PA, OSS, DSound, etc)
+RTC clock configuration
+Daemonize QEMU process
+Start paused
+Show/copy QEMU final execute command
+Command line support
diff --git a/system/tqemu/doinst.sh b/system/tqemu/doinst.sh
new file mode 100644
index 0000000000000..a9d248c7f0cba
--- /dev/null
+++ b/system/tqemu/doinst.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/tqemu/slack-desc b/system/tqemu/slack-desc
new file mode 100644
index 0000000000000..cb37d0fbcc7e9
--- /dev/null
+++ b/system/tqemu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tqemu: tqemu (Qemu Frontend)
+tqemu:
+tqemu: Tqemu is Qemu frontend written in Tcl/Tk.
+tqemu:
+tqemu:
+tqemu:
+tqemu:
+tqemu: Homepage:https://github.com/thanoulis/tqemu
+tqemu:
+tqemu:
+tqemu:
diff --git a/system/tqemu/tqemu.SlackBuild b/system/tqemu/tqemu.SlackBuild
new file mode 100644
index 0000000000000..0a74010c01469
--- /dev/null
+++ b/system/tqemu/tqemu.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for tqemu
+
+# Copyright 2024 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tqemu
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+mkdir -pv $PKG/usr/bin
+mkdir -pv $PKG/usr/share/applications
+
+install -Dvm 0750 tqemu -t $PKG/usr/bin
+install -Dvm 0644 tqemu.desktop -t $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md screenshot.png $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/tqemu/tqemu.info b/system/tqemu/tqemu.info
new file mode 100644
index 0000000000000..7160c0244f0d2
--- /dev/null
+++ b/system/tqemu/tqemu.info
@@ -0,0 +1,10 @@
+PRGNAM="tqemu"
+VERSION="1.0.3"
+HOMEPAGE="https://github.com/thanoulis/tqemu"
+DOWNLOAD="https://github.com/thanoulis/tqemu/archive/v1.0.3/tqemu-1.0.3.tar.gz"
+MD5SUM="6635134bdaab45e7a3cba491dc9f783d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qemu"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"